<!-- eslint-disable vue/multi-word-component-names -->
<script setup lang="ts" name="TheWelcome">
import {
  ref,
  onBeforeMount,
  onMounted,
  onBeforeUpdate,
  onUpdated,
  onBeforeUnmount,
  onUnmounted,
} from "vue";

// eslint-disable-next-line prefer-const
let sum = ref(0);
function add() {
  sum.value += 1;
}
// 创建
console.log("创建");

// 挂载前
onBeforeMount(() => {
  console.log("挂载前");
});

// 挂载完成
onMounted(() => {
  console.log("挂载完成");
});

// 更新前
onBeforeUpdate(() => {
  console.log("更新前");
});

// 更新完成
onUpdated(() => {
  console.log("更新完成");
});

// 卸载前
onBeforeUnmount(() => {
  console.log("卸载前");
});

// 卸载完成
onUnmounted(() => {
  console.log("卸载完成");
});
</script>

<template>
  <div class="TheWelcome">
    <h2>当前求和为: {{ sum }}</h2>
    <button @click="add">点击加一</button>
  </div>
</template>

<style scoped>
.TheWelcome {
  background-color: skyblue; /* 设置背景颜色 */
  box-shadow: 0 0 10px; /* 添加阴影效果 */
  border-radius: 10px; /* 设置圆角半径 */
  padding: 20px; /* 设置内边距 */
}

/* 设置按钮之间的间距 */
button {
  margin: 0 5px;
}

/* 这个样式规则似乎没有用到，可以考虑移除或注释掉 */
li {
  font-size: 20px;
}
</style>
